Status: Closed Priority: Must have
Author: Andreas Becker (Andi) Category: Install Tool
Created: 2013-04-30 Assigned To:
Updated: 2013-05-04 Due date:
TYPO3 Version: 6.1
PHP Version: 5.3
Complexity:
Sprint Focus:
Subject: Upgrade Wizard in Install Tool at the wrong Position (unlogical)
Description

After an upgrade - when the version number has changed - the Upgrade Wizard should pop up immediately and not be in a menu list
on 4th place which is simply unlogical!

Related issues:
related to Core - Bug # 47746: Converting 4.7 sites to 6.1 sites much to comp... Closed 2013-04-30

History
#1 - 2013-04-30 15:10 - Chris topher

But when you install TYPO3 from scratch, having an upgrade wizard popup immediately would be unlogical as well.

Another aspect you have to consider is that the minimum requirements may have changed between your old and the new version. Taking this into
account I think it actually makes sense to check things like the basic configuration and the system requirements first.

#2 - 2013-05-01 15:10 - Andreas Becker (Andi)

I think the TYPO3 Install Tool Team would do good in simply checking some other CMS Install Tools as most of them check requirements first and
alarm if something is missing. In some than you can choose if you wanna upgrade or install new. If you install new than the upgrade wizard does not
start and you get a clean fresh DB or one YOU can upload
If you choose to upgrade than the upgrade wizard starts step by step and leeds you through the process.

Usability is very important in install tools IMHO! The TYPO3 Tool has a lot of options but absolute no order or logical structure and this is the main
problem. Reorganising the structure in a logical way would make sense.

The WEC had a nice "system requirements checker" perhaps this could be integrated as first step.

#3 - 2013-05-03 07:51 - Georg Ringer

a system requirement check is implemented already. ;)

#4 - 2013-05-03 08:55 - Andreas Becker (Andi)

well might be but where do the results get listed i.e. if basic configuration is not accessible! ;-)
In other CMS simply a scripts lists all necessary information even about some versions installs.

"Hi I found it - Version XYZ - OK (green hook)" 
Than in some CMS you see a rotating icon as it is checking another stuff and marking it later red grey or green.

#5 - 2013-05-04 14:25 - Chris topher
- Status changed from New to Closed

Andreas Becker (Andi) wrote:

but where do the results get listed i.e. if basic configuration is not accessible!

So that is the real problem!

Please check that other issue of yours, where you already reported this problem.

If you have improvements for styling/icon colors and such things, please open an issue with the UI Team; this helps prevent disappointment on your
side. ;-)

#6 - 2013-05-04 22:44 - Chris topher
- Target version deleted (6.1.0)
